/* ---- SPECIFIC TO THIS PROJECT ---- */

#app-boundary {
    max-width: 500px;
    height: calc(100vh - 96px);
    margin-left: auto;
    margin-right: auto;
    margin-top: 48px;
    position: relative;
}

#chat-main {
    padding: 0 48px;
    background-color: white;
    height: calc(100vh - 96px - 288px);
}

#chat-main-scroll {
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    scrollbar-width: none;
    display: flex;
    flex-direction: column;
}

.chat-box {
    max-width: calc(100% - 120px);
    padding: 12px;
    border-radius: 12px;
    color: white;
}

.chat-you {
    margin-right: auto;
}

.chat-me {
    margin-left: auto;
}

[class*="you"] {
    background-color: dodgerblue;
}

[class*="me"] {
    background-color: coral;
}

.indent {
    width: 24px;
    height: 16px;
    float: left;
}


#chat-footer {
    height: 144px;
    padding: 24px 48px;
    background-color: #000;
    border-radius: 0 0 12px 12px;
}

#chat-footer textarea {
    height: 100%;
    width: 100%;
    background-color: transparent;
    resize: none;
    padding: 12px;
    border-width: 0;
    display: block;
    border: none;
}
#chat-footer textarea:hover, textarea:focus {
    border: none;
    outline: none;
}


#btn-send {
    height: calc(100% - 24px);
    background-color: white;
    padding: 24px;
    margin: 12px;
    border-radius: 12px;
    border: 1px solid #94918F;
}
#btn-send:hover {
    border-color: black;
    transition-property: border;
    transition-duration: 0.2s;
}

#btn-send:active {
    transform: scale(0.95);
    transition-property: transform;
    transition-duration: 0.1s;
}

#btn-close {
    position: absolute;
    left: -60px;
    background-color: red;
    width: 48px;
    height: 48px;
    border-radius: 12px;
    z-index: 90;
    border-width: 0;

    display: flex;
    flex-direction: row;
    justify-content: center;
}

#btn-close:hover {
    background-color: #e20000;
}

#btn-close:active {
    background-color: #b10000;
}

.msg-alarm {
    height: 100px;
    padding: 12px;
    border-radius: 12px;
    background-color: lightgrey;
}